Gentoo Archives: gentoo-commits

From: "Harald van Dijk (truedfx)" <truedfx@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in x11-wm/sawfish: ChangeLog sawfish-1.6.3.ebuild
Date: Mon, 31 May 2010 20:05:21
Message-Id: 20100531200517.96CD52CF37@corvid.gentoo.org
1 truedfx 10/05/31 20:05:17
2
3 Modified: ChangeLog
4 Added: sawfish-1.6.3.ebuild
5 Log:
6 Version bump
7 (Portage version: 2.2_rc67/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.94 x11-wm/sawfish/ChangeLog
11
12 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.94&view=markup
13 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-wm/sawfish/ChangeLog?rev=1.94&content-type=text/plain
14 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-wm/sawfish/ChangeLog?r1=1.93&r2=1.94
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v
19 retrieving revision 1.93
20 retrieving revision 1.94
21 diff -u -r1.93 -r1.94
22 --- ChangeLog 28 Mar 2010 19:43:37 -0000 1.93
23 +++ ChangeLog 31 May 2010 20:05:17 -0000 1.94
24 @@ -1,6 +1,12 @@
25 # ChangeLog for x11-wm/sawfish
26 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.93 2010/03/28 19:43:37 truedfx Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/ChangeLog,v 1.94 2010/05/31 20:05:17 truedfx Exp $
29 +
30 +*sawfish-1.6.3 (31 May 2010)
31 +
32 + 31 May 2010; Harald van Dijk <truedfx@g.o> +sawfish-1.6.3.ebuild,
33 + +files/sawfish-1.6.3-prompt.patch:
34 + Version bump
35
36 *sawfish-1.6.2 (28 Mar 2010)
37
38
39
40
41 1.1 x11-wm/sawfish/sawfish-1.6.3.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-wm/sawfish/sawfish-1.6.3.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-wm/sawfish/sawfish-1.6.3.ebuild?rev=1.1&content-type=text/plain
45
46 Index: sawfish-1.6.3.ebuild
47 ===================================================================
48 # Copyright 1999-2010 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/x11-wm/sawfish/sawfish-1.6.3.ebuild,v 1.1 2010/05/31 20:05:17 truedfx Exp $
51
52 # detect cvs snapshots; fex. 1.3_p20040120
53 [[ $PV == *_p[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] ]]
54 (( snapshot = !$? ))
55
56 if (( snapshot )); then
57 inherit eutils autotools
58 else
59 inherit eutils
60 fi
61
62 DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
63 HOMEPAGE="http://sawfish.wikia.com/"
64 if (( snapshot )); then
65 SRC_URI="mirror://gentoo/${P/_p/.}.tar.bz2"
66 else
67 SRC_URI="http://download.tuxfamily.org/sawfish/sawfish/${P}.tar.bz2"
68 fi
69
70 LICENSE="GPL-2 Artistic-2"
71 SLOT="0"
72 KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
73 IUSE="nls xinerama"
74
75 RDEPEND=">=dev-libs/librep-0.90.5
76 >=x11-libs/rep-gtk-0.90.2
77 >=x11-libs/pango-1.8.0
78 >=x11-libs/gtk+-2.12.0
79 nls? ( sys-devel/gettext )
80 xinerama? ( x11-libs/libXinerama )"
81 DEPEND="${RDEPEND}
82 >=dev-util/pkgconfig-0.12.0"
83
84 if (( snapshot )); then
85 S="${WORKDIR}/${PN}"
86 fi
87
88 src_unpack() {
89 unpack ${A}
90 cd "${S}"
91 epatch "${FILESDIR}"/${P}-prompt.patch
92
93 if (( snapshot )); then
94 eautoreconf
95 fi
96 }
97
98 src_compile() {
99 set -- \
100 $(use_with xinerama) \
101 --with-gdk-pixbuf
102
103 if ! use nls; then
104 # Use a space because configure script reads --enable-linguas="" as
105 # "install everything"
106 # Don't use --disable-linguas, because that means --enable-linguas="no",
107 # which means "install Norwegian translations"
108 set -- "$@" --enable-linguas=" "
109 elif [[ "${LINGUAS+set}" == "set" ]]; then
110 strip-linguas -i po
111 set -- "$@" --enable-linguas=" ${LINGUAS} "
112 else
113 set -- "$@" --enable-linguas=""
114 fi
115
116 econf "$@" || die "configure failed"
117 emake || die "make failed"
118 }
119
120 src_install() {
121 emake DESTDIR="${D}" install || die "make install failed"
122 dodoc AUTHORS ChangeLog DOC FAQ NEWS OPTIONS README README.IMPORTANT TODO
123 }